{ config, pkgs, ... }:

{
  # DO NOT change this unless you know what you're doing!
  system.stateVersion = "24.11";

  environment.variables = {
    XDG_SESSION_TYPE = "wayland";
    XDG_CURRENT_DESKTOP = "Hyprland";
    NIXPKGS_ALLOW_INSECURE = 1;
  };

  nixpkgs.config = {
    allowInsecurePredicate = pkg: builtins.elem (pkgs.lib.getName pkg) [
      "fluffychat-linux"
      "olm"
	  "python312Packages.youtube-dl"
    ];
  };

  environment.systemPackages = with pkgs; [
    alacritty
    vim
    bluez
    xwayland
    unzip
	networkmanager
  ];

  services.automatic-timezoned.enable = true;

  boot.loader.grub.enable = false;
  boot.loader.systemd-boot.enable = true;

  programs.xwayland.enable = true;
}
