{ pkgs, ... }:

let
  username = "sadorowo";
  homeDirectory = "/home/${username}";
in {
	imports = [
    	./packages.nix 		 # Packages to install
    	./programs.nix 		 # Programs to enable
    	./files.nix			 # Files to create
		./theme.nix 		 # System-wide/GTK theme
	];

  	home = {
    	inherit username homeDirectory;
    	sessionVariables = {
      		NIXPKGS_ALLOW_UNFREE = "1";
      		NIXPKGS_ALLOW_INSECURE = "1";
      		NIXOS_OZONE_WL = "1";
			TZ = "Europe/Warsaw";
			LD_LIBRARY_PATH="${pkgs.stdenv.cc.cc.lib}/lib:$LD_LIBRARY_PATH";
    	};
  	};

  	programs.home-manager.enable = true;
  	home.stateVersion = "24.11"; # DO NOT change this unless you know what you're doing!
}
